#include "pimqtttypes.h"


PIMQTT::MessageMutable & PIMQTT::MessageMutable::setTopic(PIString t) {
	m_topic = t;
	return *this;
}


PIMQTT::MessageMutable & PIMQTT::MessageMutable::setBody(PIByteArray b) {
	m_payload = b;
	return *this;
}


PIMQTT::MessageMutable & PIMQTT::MessageMutable::setDuplicate(bool yes) {
	m_is_duplicate = yes;
	return *this;
}


PIMQTT::MessageMutable & PIMQTT::MessageMutable::setQos(QoS qos) {
	m_qos = qos;
	return *this;
}


PIMQTT::MessageMutable & PIMQTT::MessageMutable::setID(int id) {
	m_msg_id = id;
	return *this;
}
